<div id="cookieBanner" class="g-e8754c90 g-327b0b43 g-3eaa23da g-2bbcb7bb" data-section-size="xs" data-test-disabled="f02c127de101">
    <h3 class="g-f30bce01 globalClass:c-text}" id="elem-b9a2209b61d7c5df">We use cookies</h3>
    <p class="g-f37e2952 g-972e0058 g-1eebabcc" data-analytics-value="12e60bc" data-analytics-expanded="6a6ddf70580">
        We use cookies to ensure the proper functioning of the website, analyze traffic, and improve your experience. You can accept all cookies or reject them — the site will continue to operate. For more details, read our <a href="/cookie-policy/" target="_blank">Cookie Policy.</a>
    </p>
    <div class="g-e2f6682e g-f37e2952" id="elem-d1cd6888e2ead559">
        <button id="acceptBtn" class="g-1efedfb7 g-07857290 g-bc9f8fc0" data-test-slide-to="027dd4" data-mui-e2e="622be2bd9" data-section-theme="auto" data-test-expanded="3671a04a" data-block-layout="73b247"><span>Accept</span></button>
        <button id="rejectBtn" class="g-1efedfb7 g-07857290 g-20412375 g-bc9f8fc0" id="elem-74649f82b4a9a70b"><span>Reject</span></button>
    </div>
</div>
<script>
    document.addEventListener('DOMContentLoaded', () => {
        const banner = document.getElementById('cookieBanner');
        const accept = document.getElementById('acceptBtn');
        const reject = document.getElementById('rejectBtn');
        
        if (!banner || !accept || !reject) return;

        const decision = localStorage.getItem('cookieDecision');
        if (!decision) {
            banner.classList.add('g-960f75ae');
        }

        accept.addEventListener('click', function(){
            localStorage.setItem('cookieDecision', 'accepted');
            banner.remove();
        });

        reject.addEventListener('click', function(){
            localStorage.setItem('cookieDecision', 'rejected');
            banner.remove();
        });
    });
</script>